System.Security 2.0.0.0 4.0.0.0 System.Object To be added.

The class defines the recipient of a CMS/PKCS #7 message.

- Constructor
  2.0.0.0
  4.0.0.0

  The class has the following default property values.

  Property

  Default value

  The constructor constructs an instance of the class by using the specified recipient certificate.

  An object that represents the recipient certificate.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  The constructor constructs an instance of the class by using the specified recipient identifier type and recipient certificate.

  A member of the enumeration that specifies the type of the identifier of the recipient.
  An object that represents the recipient certificate.
- Property
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509Certificate2 To be added. To be added.

  The property retrieves the certificate associated with the recipient.

- Property
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.Pkcs.SubjectIdentifierType To be added. To be added.

  The property retrieves the type of the identifier of the recipient.